LinuxQMISDK: voiceInfoRec Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
voiceInfoRec Struct Reference

## Data Fields
BYTE | callID
signalInfo * | pSignalInfo
callerIDInfo * | pCallerIDInfo
BYTE * | pDispInfo
BYTE * | pExtDispInfo
BYTE * | pCallerNameInfo
BYTE * | pCallWaitInd
connectNumInfo * | pConnectNumInfo
connectNumInfo * | pCallingPartyInfo
calledPartyInfo * | pCalledPartyInfo
redirNumInfo * | pRedirNumInfo
BYTE * | pCLIRCause
NSSAudioCtrl * | pNSSAudioCtrl
BYTE * | pNSSRelease
lineCtrlInfo * | pLineCtrlInfo
extDispRecInfo * | pExtDispRecInfo

## Detailed Description

This structure contains Voice record Information

Parameters

  callID | [Mandatory] Call identifier for the call.
  pSignalInfo[Optional] | Signal Information See signalInfo for more information
  pCallerIDInfo[Optional] | Caller ID Information See callerIDInfo for more information
  pDispInfo[Optional] | Display Information
  pExtDispInfo[Optional] | Extended Display Information
  pCallerNameInfo[Optional] | Caller Name Information
  pCallWaitInd[Optional] | Call Waiting Indicator
  pConnectNumInfo[Optional] | Connected Number Information see connectNumInfo for more information
  pCallingPartyInfo[Optional] | Calling Party Number Information This structure is having exactly same elements as connectNumInfo see connectNumInfo for more information
  pCalledPartyInfo[Optional] | Called Party Number Information see calledPartyInfo for more information
  pRedirNumInfo[Optional] | Redirecting Number Information see redirNumInfo for more information
  pCLIRCause[Optional] | National Supplementary Services - CLIR see NSSAudioCtrl for more information
  pNSSAudioCtrl[Optional] | National Supplementary Services - Audio Control
  pNSSRelease[Optional] | National Supplementary Services - Release
  pLineCtrlInfo[Optional] | Line Control Information see lineCtrlInfo for more information
  pExtDispRecInfo[Optional] | Extended Display Record Information see extDispRecInfo for more information

## Field Documentation

BYTE voiceInfoRec::callID

calledPartyInfo* voiceInfoRec::pCalledPartyInfo

callerIDInfo* voiceInfoRec::pCallerIDInfo

BYTE* voiceInfoRec::pCallerNameInfo

connectNumInfo* voiceInfoRec::pCallingPartyInfo

BYTE* voiceInfoRec::pCallWaitInd

BYTE* voiceInfoRec::pCLIRCause

connectNumInfo* voiceInfoRec::pConnectNumInfo

BYTE* voiceInfoRec::pDispInfo

BYTE* voiceInfoRec::pExtDispInfo

extDispRecInfo* voiceInfoRec::pExtDispRecInfo

lineCtrlInfo* voiceInfoRec::pLineCtrlInfo

NSSAudioCtrl* voiceInfoRec::pNSSAudioCtrl

BYTE* voiceInfoRec::pNSSRelease

redirNumInfo* voiceInfoRec::pRedirNumInfo

signalInfo* voiceInfoRec::pSignalInfo